Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.crmf
Class PKIPublicationInfo

    java.lang.Object
      |
      +--org.mozilla.jss.pkix.crmf.PKIPublicationInfo

All Implemented Interfaces:
  ASN1Value

public class PKIPublicationInfo
extends java.lang.Object
implements ASN1Value

CRMF PKIPublicationInfo:

     PKIPublicationInfo ::= SEQUENCE {
          action          INTEGER {
              dontPublish     (0),
              pleasePublish   (1) },
          pubInfos SEQUENCE SIZE (1..MAX) OF SinglePubInfo OPTIONAL }

     SinglePubInfo ::= SEQUENCE {
          pubMethod       INTEGER {
              dontCare    (0),
              x500        (1),
              web         (2),
              ldap        (3) },
          pubLocation     GeneralName OPTIONAL }

Nested Class Summary
`static class` | `PKIPublicationInfo.Template` A Template for decoding a PKIPublicationInfo.

Field Summary
`private int` | `action`
`static int` | `DONT_CARE` A SinglePubInfo publication method.
`static int` | `DONT_PUBLISH` A PKIPublicationInfo action.
`static int` | `LDAP` A SinglePubInfo publication method.
`static int` | `PLEASE_PUBLISH` A PKIPublicationInfo action.
`private SEQUENCE` | `pubInfos`
`private static Tag` | `TAG`
`private static PKIPublicationInfo.Template` | `templateInstance`
`static int` | `WEB` A SinglePubInfo publication method.
`static int` | `X500` A SinglePubInfo publication method.

Constructor Summary
`private` | `PKIPublicationInfo()`
`` | `PKIPublicationInfo(int action, SEQUENCE pubInfos)` Creates a new PKIPublicationInfo.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`int` | `getAction()` Returns the action field.
`ANY` | `getPubLocation(int index)` Returns the pubLocation in the SinglePubInfo at the given index.
`int` | `getPubMethod(int index)` Returns the pubMethod in the SinglePubInfo at the given index.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static PKIPublicationInfo.Template` | `getTemplate()`
`int` | `numPubInfos()` Returns the number of SinglePubInfos.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### DONT_PUBLISH

    public static final int DONT_PUBLISH

  A PKIPublicationInfo action.

  See Also:
    Constant Field Values

### PLEASE_PUBLISH

    public static final int PLEASE_PUBLISH

  A PKIPublicationInfo action.

  See Also:
    Constant Field Values

### DONT_CARE

    public static final int DONT_CARE

  A SinglePubInfo publication method.

  See Also:
    Constant Field Values

### X500

    public static final int X500

  A SinglePubInfo publication method.

  See Also:
    Constant Field Values

### WEB

    public static final int WEB

  A SinglePubInfo publication method.

  See Also:
    Constant Field Values

### LDAP

    public static final int LDAP

  A SinglePubInfo publication method.

  See Also:
    Constant Field Values

### action

    private int action

### pubInfos

    private SEQUENCE pubInfos

### TAG

    private static final Tag TAG

### templateInstance

    private static final PKIPublicationInfo.Template templateInstance

Constructor Detail

### PKIPublicationInfo

    private PKIPublicationInfo()

### PKIPublicationInfo

    public PKIPublicationInfo(int action,
                              SEQUENCE pubInfos)

  Creates a new PKIPublicationInfo.

Parameters:
  `action` - DONT_PUBLISH or PLEASE_PUBLISH.
  `pubInfos` - A SEQUENCE of SinglePubInfo, may be null.

Method Detail

### getAction

    public int getAction()

  Returns the action field.

### numPubInfos

    public int numPubInfos()

  Returns the number of SinglePubInfos. May be zero.

### getPubMethod

    public int getPubMethod(int index)

  Returns the pubMethod in the SinglePubInfo at the given index. Should return DONT_CARE, X500, WEB, or LDAP.

### getPubLocation

    public ANY getPubLocation(int index)

  Returns the pubLocation in the SinglePubInfo at the given index. May return null, since pubLocation is an optional field.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
    `java.io.IOException`

### getTemplate

    public static PKIPublicationInfo.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
| JSS 3.2
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD